Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class Pearson6Gen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.Pearson6Gen

    public class Pearson6Gen

extends RandomVariateGen

This class implements random variate generators for the Pearson type VI distribution with shape parameters α1 > 0 and α2 > 0, and scale parameter β > 0. The density function of this distribution is

f (x) = (x/β)α1-1/(βB(α1, α2)[1 + x/β]α1+α2) for x > 0,

and f (x) = 0 otherwise, where B is the beta function.

Constructor Summary
`Pearson6Gen(RandomStream s, double alpha1, double alpha2)` Creates a Pearson6 random variate generator with parameters α1 = `alpha1`, α2 = `alpha2` and β = 1, using stream `s`.
`Pearson6Gen(RandomStream s, double alpha1, double alpha2, double beta)` Creates a Pearson6 random variate generator with parameters α1 = `alpha1`, α2 = `alpha2` and β = `beta`, using stream `s`.
`Pearson6Gen(RandomStream s, Pearson6Dist dist)` Creates a new generator for the distribution `dist`, using stream `s`.

Method Summary
`double` | `getAlpha1()` Returns the α1 parameter of this object.
`double` | `getAlpha2()` Returns the α2 parameter of this object.
`double` | `getBeta()` Returns the β parameter of this object.
`static double` | `nextDouble(RandomStream s, double alpha1, double alpha2, double beta)` Generates a variate from the Pearson VI distribution with shape parameters α1 > 0 and α2 > 0, and scale parameter β > 0.
`void` | `setParams(double alpha1, double alpha2, double beta)` Sets the parameters α1, α2 and β of this object.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pearson6Gen

    public Pearson6Gen(RandomStream s,
                       double alpha1,
                       double alpha2,
                       double beta)

  Creates a Pearson6 random variate generator with parameters α1 = `alpha1`, α2 = `alpha2` and β = `beta`, using stream `s`.

### Pearson6Gen

    public Pearson6Gen(RandomStream s,
                       double alpha1,
                       double alpha2)

  Creates a Pearson6 random variate generator with parameters α1 = `alpha1`, α2 = `alpha2` and β = 1, using stream `s`.

### Pearson6Gen

    public Pearson6Gen(RandomStream s,
                       Pearson6Dist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextDouble

    public static double nextDouble(RandomStream s,
                                    double alpha1,
                                    double alpha2,
                                    double beta)

  Generates a variate from the Pearson VI distribution with shape parameters α1 > 0 and α2 > 0, and scale parameter β > 0.

### getAlpha1

    public double getAlpha1()

  Returns the α1 parameter of this object.

### getAlpha2

    public double getAlpha2()

  Returns the α2 parameter of this object.

### getBeta

    public double getBeta()

  Returns the β parameter of this object.

### setParams

    public void setParams(double alpha1,
                          double alpha2,
                          double beta)

  Sets the parameters α1, α2 and β of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.